PulseAudio 16.1

Data Fields
pa_ext_device_restore_info Struct Reference

Stores information about one device in the device database that is maintained by module-device-manager. More...

`#include <ext-device-restore.h>`

## Data Fields
pa_device_type_t | type
| Device type sink or source? More...
uint32_t | index
| The device index. More...
uint8_t | n_formats
| How many formats do we have? More...
pa_format_info ** | formats
| An array of formats (may be NULL if n_formats == 0) More...

## Detailed Description

Stores information about one device in the device database that is maintained by module-device-manager.

Since
  1.0

## Field Documentation

## ◆ formats

pa_format_info** pa_ext_device_restore_info::formats

An array of formats (may be NULL if n_formats == 0)

## ◆ index

uint32_t pa_ext_device_restore_info::index

The device index.

## ◆ n_formats

uint8_t pa_ext_device_restore_info::n_formats

How many formats do we have?

## ◆ type

pa_device_type_t pa_ext_device_restore_info::type

Device type sink or source?

The documentation for this struct was generated from the following file:

- ext-device-restore.h